can't install linux-headers-amd64/rolling 5.9.6-2parrot1

1. Your Parrot information

  • OS version: run cat /etc/*release
    DISTRIB_ID=Parrot DISTRIB_RELEASE=4.10 DISTRIB_CODENAME=rolling DISTRIB_DESCRIPTION="Parrot 4.10" PRETTY_NAME="Parrot GNU/Linux 4.10" NAME="Parrot GNU/Linux" ID=parrot ID_LIKE=debian VERSION="4.10" VERSION_ID="4.10" HOME_URL="https://www.parrotsec.org/" SUPPORT_URL="https://community.parrotsec.org/" BUG_REPORT_URL="https://community.parrotsec.org/"

  • Kernel version: run uname -a
    ```
    Linux parrot 5.9.0-2parrot1-amd64 #1 SMP Debian 5.9.6-2parrot1 (2020-11-17) x86_64 GNU/Linux

      ```
    

How did you install OS?
VMware-Workstation-Full-16.1.0-17198959.x86_64.bundle
on parrot as HOST the installation on the vmware is Fresh i just booted it up
and then did sudo parrot-upgrade and now im here stuck with this :slight_smile:
i have 1 upgradeable that i can’t upgrade
i did this command

sudo apt list --upgradeable
Listing… Done
linux-headers-amd64/rolling 5.9.6-2parrot1 amd64 [upgradable from: 5.7.10-1parrot2]

**and as we all can see i have**
**Linux parrot 5.9.0-2parrot1-amd64 #1 SMP Debian 5.9.6-2parrot1 (2020-11-17) x86_64 GNU/Linux**


i did the 'sudo apt install linux-headers-amd64' with no luck... here is the outcome :)

sudo apt install linux-headers-amd64
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
linux-headers-5.9.0-2parrot1-amd64 : Depends: linux-compiler-gcc-10-x86 but it is not installable
E: Unable to correct problems, you have held broken packages.

````````````````````````````````````````````````````````````
so can anybody guide me through this i have been searching on the internet a few days now without luck so i decided to make a user here and hope for some help , and possible also be a part of the community since i have been using parrot everyday since 2017 for normal day use like browsing stuff and i really never had any problems with parrot until now